Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network5.72.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
5.72.0.0
Broadcast address
5.79.255.255
First usable
5.72.0.1
Last usable
5.79.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 05480000 · Integer 88604672 to 89128959
Reverse DNS zones
72.5.in-addr.arpa
73.5.in-addr.arpa
74.5.in-addr.arpa
75.5.in-addr.arpa
76.5.in-addr.arpa
77.5.in-addr.arpa
78.5.in-addr.arpa
79.5.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000101.01001000.00000000.000000005.72.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00000101.01001000.00000000.000000005.72.0.0
Broadcast00000101.01001111.11111111.111111115.79.255.255
Split into smaller subnets/25

5.72.0.0/13 makes 4,096 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
15.72.0.0/255.72.0.1 to 5.72.0.1265.72.0.127126
25.72.0.128/255.72.0.129 to 5.72.0.2545.72.0.255126
35.72.1.0/255.72.1.1 to 5.72.1.1265.72.1.127126
45.72.1.128/255.72.1.129 to 5.72.1.2545.72.1.255126
55.72.2.0/255.72.2.1 to 5.72.2.1265.72.2.127126
65.72.2.128/255.72.2.129 to 5.72.2.2545.72.2.255126
75.72.3.0/255.72.3.1 to 5.72.3.1265.72.3.127126
85.72.3.128/255.72.3.129 to 5.72.3.2545.72.3.255126
95.72.4.0/255.72.4.1 to 5.72.4.1265.72.4.127126
105.72.4.128/255.72.4.129 to 5.72.4.2545.72.4.255126
115.72.5.0/255.72.5.1 to 5.72.5.1265.72.5.127126
125.72.5.128/255.72.5.129 to 5.72.5.2545.72.5.255126
135.72.6.0/255.72.6.1 to 5.72.6.1265.72.6.127126
145.72.6.128/255.72.6.129 to 5.72.6.2545.72.6.255126
155.72.7.0/255.72.7.1 to 5.72.7.1265.72.7.127126
165.72.7.128/255.72.7.129 to 5.72.7.2545.72.7.255126
175.72.8.0/255.72.8.1 to 5.72.8.1265.72.8.127126
185.72.8.128/255.72.8.129 to 5.72.8.2545.72.8.255126
195.72.9.0/255.72.9.1 to 5.72.9.1265.72.9.127126
205.72.9.128/255.72.9.129 to 5.72.9.2545.72.9.255126
215.72.10.0/255.72.10.1 to 5.72.10.1265.72.10.127126
225.72.10.128/255.72.10.129 to 5.72.10.2545.72.10.255126
235.72.11.0/255.72.11.1 to 5.72.11.1265.72.11.127126
245.72.11.128/255.72.11.129 to 5.72.11.2545.72.11.255126
255.72.12.0/255.72.12.1 to 5.72.12.1265.72.12.127126
265.72.12.128/255.72.12.129 to 5.72.12.2545.72.12.255126
275.72.13.0/255.72.13.1 to 5.72.13.1265.72.13.127126
285.72.13.128/255.72.13.129 to 5.72.13.2545.72.13.255126
295.72.14.0/255.72.14.1 to 5.72.14.1265.72.14.127126
305.72.14.128/255.72.14.129 to 5.72.14.2545.72.14.255126
315.72.15.0/255.72.15.1 to 5.72.15.1265.72.15.127126
325.72.15.128/255.72.15.129 to 5.72.15.2545.72.15.255126
335.72.16.0/255.72.16.1 to 5.72.16.1265.72.16.127126
345.72.16.128/255.72.16.129 to 5.72.16.2545.72.16.255126
355.72.17.0/255.72.17.1 to 5.72.17.1265.72.17.127126
365.72.17.128/255.72.17.129 to 5.72.17.2545.72.17.255126
375.72.18.0/255.72.18.1 to 5.72.18.1265.72.18.127126
385.72.18.128/255.72.18.129 to 5.72.18.2545.72.18.255126
395.72.19.0/255.72.19.1 to 5.72.19.1265.72.19.127126
405.72.19.128/255.72.19.129 to 5.72.19.2545.72.19.255126
415.72.20.0/255.72.20.1 to 5.72.20.1265.72.20.127126
425.72.20.128/255.72.20.129 to 5.72.20.2545.72.20.255126
435.72.21.0/255.72.21.1 to 5.72.21.1265.72.21.127126
445.72.21.128/255.72.21.129 to 5.72.21.2545.72.21.255126
455.72.22.0/255.72.22.1 to 5.72.22.1265.72.22.127126
465.72.22.128/255.72.22.129 to 5.72.22.2545.72.22.255126
475.72.23.0/255.72.23.1 to 5.72.23.1265.72.23.127126
485.72.23.128/255.72.23.129 to 5.72.23.2545.72.23.255126
495.72.24.0/255.72.24.1 to 5.72.24.1265.72.24.127126
505.72.24.128/255.72.24.129 to 5.72.24.2545.72.24.255126
515.72.25.0/255.72.25.1 to 5.72.25.1265.72.25.127126
525.72.25.128/255.72.25.129 to 5.72.25.2545.72.25.255126
535.72.26.0/255.72.26.1 to 5.72.26.1265.72.26.127126
545.72.26.128/255.72.26.129 to 5.72.26.2545.72.26.255126
555.72.27.0/255.72.27.1 to 5.72.27.1265.72.27.127126
565.72.27.128/255.72.27.129 to 5.72.27.2545.72.27.255126
575.72.28.0/255.72.28.1 to 5.72.28.1265.72.28.127126
585.72.28.128/255.72.28.129 to 5.72.28.2545.72.28.255126
595.72.29.0/255.72.29.1 to 5.72.29.1265.72.29.127126
605.72.29.128/255.72.29.129 to 5.72.29.2545.72.29.255126
615.72.30.0/255.72.30.1 to 5.72.30.1265.72.30.127126
625.72.30.128/255.72.30.129 to 5.72.30.2545.72.30.255126
635.72.31.0/255.72.31.1 to 5.72.31.1265.72.31.127126
645.72.31.128/255.72.31.129 to 5.72.31.2545.72.31.255126
655.72.32.0/255.72.32.1 to 5.72.32.1265.72.32.127126
665.72.32.128/255.72.32.129 to 5.72.32.2545.72.32.255126
675.72.33.0/255.72.33.1 to 5.72.33.1265.72.33.127126
685.72.33.128/255.72.33.129 to 5.72.33.2545.72.33.255126
695.72.34.0/255.72.34.1 to 5.72.34.1265.72.34.127126
705.72.34.128/255.72.34.129 to 5.72.34.2545.72.34.255126
715.72.35.0/255.72.35.1 to 5.72.35.1265.72.35.127126
725.72.35.128/255.72.35.129 to 5.72.35.2545.72.35.255126
735.72.36.0/255.72.36.1 to 5.72.36.1265.72.36.127126
745.72.36.128/255.72.36.129 to 5.72.36.2545.72.36.255126
755.72.37.0/255.72.37.1 to 5.72.37.1265.72.37.127126
765.72.37.128/255.72.37.129 to 5.72.37.2545.72.37.255126
775.72.38.0/255.72.38.1 to 5.72.38.1265.72.38.127126
785.72.38.128/255.72.38.129 to 5.72.38.2545.72.38.255126
795.72.39.0/255.72.39.1 to 5.72.39.1265.72.39.127126
805.72.39.128/255.72.39.129 to 5.72.39.2545.72.39.255126
815.72.40.0/255.72.40.1 to 5.72.40.1265.72.40.127126
825.72.40.128/255.72.40.129 to 5.72.40.2545.72.40.255126
835.72.41.0/255.72.41.1 to 5.72.41.1265.72.41.127126
845.72.41.128/255.72.41.129 to 5.72.41.2545.72.41.255126
855.72.42.0/255.72.42.1 to 5.72.42.1265.72.42.127126
865.72.42.128/255.72.42.129 to 5.72.42.2545.72.42.255126
875.72.43.0/255.72.43.1 to 5.72.43.1265.72.43.127126
885.72.43.128/255.72.43.129 to 5.72.43.2545.72.43.255126
895.72.44.0/255.72.44.1 to 5.72.44.1265.72.44.127126
905.72.44.128/255.72.44.129 to 5.72.44.2545.72.44.255126
915.72.45.0/255.72.45.1 to 5.72.45.1265.72.45.127126
925.72.45.128/255.72.45.129 to 5.72.45.2545.72.45.255126
935.72.46.0/255.72.46.1 to 5.72.46.1265.72.46.127126
945.72.46.128/255.72.46.129 to 5.72.46.2545.72.46.255126
955.72.47.0/255.72.47.1 to 5.72.47.1265.72.47.127126
965.72.47.128/255.72.47.129 to 5.72.47.2545.72.47.255126
975.72.48.0/255.72.48.1 to 5.72.48.1265.72.48.127126
985.72.48.128/255.72.48.129 to 5.72.48.2545.72.48.255126
995.72.49.0/255.72.49.1 to 5.72.49.1265.72.49.127126
1005.72.49.128/255.72.49.129 to 5.72.49.2545.72.49.255126
1015.72.50.0/255.72.50.1 to 5.72.50.1265.72.50.127126
1025.72.50.128/255.72.50.129 to 5.72.50.2545.72.50.255126
1035.72.51.0/255.72.51.1 to 5.72.51.1265.72.51.127126
1045.72.51.128/255.72.51.129 to 5.72.51.2545.72.51.255126
1055.72.52.0/255.72.52.1 to 5.72.52.1265.72.52.127126
1065.72.52.128/255.72.52.129 to 5.72.52.2545.72.52.255126
1075.72.53.0/255.72.53.1 to 5.72.53.1265.72.53.127126
1085.72.53.128/255.72.53.129 to 5.72.53.2545.72.53.255126
1095.72.54.0/255.72.54.1 to 5.72.54.1265.72.54.127126
1105.72.54.128/255.72.54.129 to 5.72.54.2545.72.54.255126
1115.72.55.0/255.72.55.1 to 5.72.55.1265.72.55.127126
1125.72.55.128/255.72.55.129 to 5.72.55.2545.72.55.255126
1135.72.56.0/255.72.56.1 to 5.72.56.1265.72.56.127126
1145.72.56.128/255.72.56.129 to 5.72.56.2545.72.56.255126
1155.72.57.0/255.72.57.1 to 5.72.57.1265.72.57.127126
1165.72.57.128/255.72.57.129 to 5.72.57.2545.72.57.255126
1175.72.58.0/255.72.58.1 to 5.72.58.1265.72.58.127126
1185.72.58.128/255.72.58.129 to 5.72.58.2545.72.58.255126
1195.72.59.0/255.72.59.1 to 5.72.59.1265.72.59.127126
1205.72.59.128/255.72.59.129 to 5.72.59.2545.72.59.255126
1215.72.60.0/255.72.60.1 to 5.72.60.1265.72.60.127126
1225.72.60.128/255.72.60.129 to 5.72.60.2545.72.60.255126
1235.72.61.0/255.72.61.1 to 5.72.61.1265.72.61.127126
1245.72.61.128/255.72.61.129 to 5.72.61.2545.72.61.255126
1255.72.62.0/255.72.62.1 to 5.72.62.1265.72.62.127126
1265.72.62.128/255.72.62.129 to 5.72.62.2545.72.62.255126
1275.72.63.0/255.72.63.1 to 5.72.63.1265.72.63.127126
1285.72.63.128/255.72.63.129 to 5.72.63.2545.72.63.255126
1295.72.64.0/255.72.64.1 to 5.72.64.1265.72.64.127126
1305.72.64.128/255.72.64.129 to 5.72.64.2545.72.64.255126
1315.72.65.0/255.72.65.1 to 5.72.65.1265.72.65.127126
1325.72.65.128/255.72.65.129 to 5.72.65.2545.72.65.255126
1335.72.66.0/255.72.66.1 to 5.72.66.1265.72.66.127126
1345.72.66.128/255.72.66.129 to 5.72.66.2545.72.66.255126
1355.72.67.0/255.72.67.1 to 5.72.67.1265.72.67.127126
1365.72.67.128/255.72.67.129 to 5.72.67.2545.72.67.255126
1375.72.68.0/255.72.68.1 to 5.72.68.1265.72.68.127126
1385.72.68.128/255.72.68.129 to 5.72.68.2545.72.68.255126
1395.72.69.0/255.72.69.1 to 5.72.69.1265.72.69.127126
1405.72.69.128/255.72.69.129 to 5.72.69.2545.72.69.255126
1415.72.70.0/255.72.70.1 to 5.72.70.1265.72.70.127126
1425.72.70.128/255.72.70.129 to 5.72.70.2545.72.70.255126
1435.72.71.0/255.72.71.1 to 5.72.71.1265.72.71.127126
1445.72.71.128/255.72.71.129 to 5.72.71.2545.72.71.255126
1455.72.72.0/255.72.72.1 to 5.72.72.1265.72.72.127126
1465.72.72.128/255.72.72.129 to 5.72.72.2545.72.72.255126
1475.72.73.0/255.72.73.1 to 5.72.73.1265.72.73.127126
1485.72.73.128/255.72.73.129 to 5.72.73.2545.72.73.255126
1495.72.74.0/255.72.74.1 to 5.72.74.1265.72.74.127126
1505.72.74.128/255.72.74.129 to 5.72.74.2545.72.74.255126
1515.72.75.0/255.72.75.1 to 5.72.75.1265.72.75.127126
1525.72.75.128/255.72.75.129 to 5.72.75.2545.72.75.255126
1535.72.76.0/255.72.76.1 to 5.72.76.1265.72.76.127126
1545.72.76.128/255.72.76.129 to 5.72.76.2545.72.76.255126
1555.72.77.0/255.72.77.1 to 5.72.77.1265.72.77.127126
1565.72.77.128/255.72.77.129 to 5.72.77.2545.72.77.255126
1575.72.78.0/255.72.78.1 to 5.72.78.1265.72.78.127126
1585.72.78.128/255.72.78.129 to 5.72.78.2545.72.78.255126
1595.72.79.0/255.72.79.1 to 5.72.79.1265.72.79.127126
1605.72.79.128/255.72.79.129 to 5.72.79.2545.72.79.255126
1615.72.80.0/255.72.80.1 to 5.72.80.1265.72.80.127126
1625.72.80.128/255.72.80.129 to 5.72.80.2545.72.80.255126
1635.72.81.0/255.72.81.1 to 5.72.81.1265.72.81.127126
1645.72.81.128/255.72.81.129 to 5.72.81.2545.72.81.255126
1655.72.82.0/255.72.82.1 to 5.72.82.1265.72.82.127126
1665.72.82.128/255.72.82.129 to 5.72.82.2545.72.82.255126
1675.72.83.0/255.72.83.1 to 5.72.83.1265.72.83.127126
1685.72.83.128/255.72.83.129 to 5.72.83.2545.72.83.255126
1695.72.84.0/255.72.84.1 to 5.72.84.1265.72.84.127126
1705.72.84.128/255.72.84.129 to 5.72.84.2545.72.84.255126
1715.72.85.0/255.72.85.1 to 5.72.85.1265.72.85.127126
1725.72.85.128/255.72.85.129 to 5.72.85.2545.72.85.255126
1735.72.86.0/255.72.86.1 to 5.72.86.1265.72.86.127126
1745.72.86.128/255.72.86.129 to 5.72.86.2545.72.86.255126
1755.72.87.0/255.72.87.1 to 5.72.87.1265.72.87.127126
1765.72.87.128/255.72.87.129 to 5.72.87.2545.72.87.255126
1775.72.88.0/255.72.88.1 to 5.72.88.1265.72.88.127126
1785.72.88.128/255.72.88.129 to 5.72.88.2545.72.88.255126
1795.72.89.0/255.72.89.1 to 5.72.89.1265.72.89.127126
1805.72.89.128/255.72.89.129 to 5.72.89.2545.72.89.255126
1815.72.90.0/255.72.90.1 to 5.72.90.1265.72.90.127126
1825.72.90.128/255.72.90.129 to 5.72.90.2545.72.90.255126
1835.72.91.0/255.72.91.1 to 5.72.91.1265.72.91.127126
1845.72.91.128/255.72.91.129 to 5.72.91.2545.72.91.255126
1855.72.92.0/255.72.92.1 to 5.72.92.1265.72.92.127126
1865.72.92.128/255.72.92.129 to 5.72.92.2545.72.92.255126
1875.72.93.0/255.72.93.1 to 5.72.93.1265.72.93.127126
1885.72.93.128/255.72.93.129 to 5.72.93.2545.72.93.255126
1895.72.94.0/255.72.94.1 to 5.72.94.1265.72.94.127126
1905.72.94.128/255.72.94.129 to 5.72.94.2545.72.94.255126
1915.72.95.0/255.72.95.1 to 5.72.95.1265.72.95.127126
1925.72.95.128/255.72.95.129 to 5.72.95.2545.72.95.255126
1935.72.96.0/255.72.96.1 to 5.72.96.1265.72.96.127126
1945.72.96.128/255.72.96.129 to 5.72.96.2545.72.96.255126
1955.72.97.0/255.72.97.1 to 5.72.97.1265.72.97.127126
1965.72.97.128/255.72.97.129 to 5.72.97.2545.72.97.255126
1975.72.98.0/255.72.98.1 to 5.72.98.1265.72.98.127126
1985.72.98.128/255.72.98.129 to 5.72.98.2545.72.98.255126
1995.72.99.0/255.72.99.1 to 5.72.99.1265.72.99.127126
2005.72.99.128/255.72.99.129 to 5.72.99.2545.72.99.255126
2015.72.100.0/255.72.100.1 to 5.72.100.1265.72.100.127126
2025.72.100.128/255.72.100.129 to 5.72.100.2545.72.100.255126
2035.72.101.0/255.72.101.1 to 5.72.101.1265.72.101.127126
2045.72.101.128/255.72.101.129 to 5.72.101.2545.72.101.255126
2055.72.102.0/255.72.102.1 to 5.72.102.1265.72.102.127126
2065.72.102.128/255.72.102.129 to 5.72.102.2545.72.102.255126
2075.72.103.0/255.72.103.1 to 5.72.103.1265.72.103.127126
2085.72.103.128/255.72.103.129 to 5.72.103.2545.72.103.255126
2095.72.104.0/255.72.104.1 to 5.72.104.1265.72.104.127126
2105.72.104.128/255.72.104.129 to 5.72.104.2545.72.104.255126
2115.72.105.0/255.72.105.1 to 5.72.105.1265.72.105.127126
2125.72.105.128/255.72.105.129 to 5.72.105.2545.72.105.255126
2135.72.106.0/255.72.106.1 to 5.72.106.1265.72.106.127126
2145.72.106.128/255.72.106.129 to 5.72.106.2545.72.106.255126
2155.72.107.0/255.72.107.1 to 5.72.107.1265.72.107.127126
2165.72.107.128/255.72.107.129 to 5.72.107.2545.72.107.255126
2175.72.108.0/255.72.108.1 to 5.72.108.1265.72.108.127126
2185.72.108.128/255.72.108.129 to 5.72.108.2545.72.108.255126
2195.72.109.0/255.72.109.1 to 5.72.109.1265.72.109.127126
2205.72.109.128/255.72.109.129 to 5.72.109.2545.72.109.255126
2215.72.110.0/255.72.110.1 to 5.72.110.1265.72.110.127126
2225.72.110.128/255.72.110.129 to 5.72.110.2545.72.110.255126
2235.72.111.0/255.72.111.1 to 5.72.111.1265.72.111.127126
2245.72.111.128/255.72.111.129 to 5.72.111.2545.72.111.255126
2255.72.112.0/255.72.112.1 to 5.72.112.1265.72.112.127126
2265.72.112.128/255.72.112.129 to 5.72.112.2545.72.112.255126
2275.72.113.0/255.72.113.1 to 5.72.113.1265.72.113.127126
2285.72.113.128/255.72.113.129 to 5.72.113.2545.72.113.255126
2295.72.114.0/255.72.114.1 to 5.72.114.1265.72.114.127126
2305.72.114.128/255.72.114.129 to 5.72.114.2545.72.114.255126
2315.72.115.0/255.72.115.1 to 5.72.115.1265.72.115.127126
2325.72.115.128/255.72.115.129 to 5.72.115.2545.72.115.255126
2335.72.116.0/255.72.116.1 to 5.72.116.1265.72.116.127126
2345.72.116.128/255.72.116.129 to 5.72.116.2545.72.116.255126
2355.72.117.0/255.72.117.1 to 5.72.117.1265.72.117.127126
2365.72.117.128/255.72.117.129 to 5.72.117.2545.72.117.255126
2375.72.118.0/255.72.118.1 to 5.72.118.1265.72.118.127126
2385.72.118.128/255.72.118.129 to 5.72.118.2545.72.118.255126
2395.72.119.0/255.72.119.1 to 5.72.119.1265.72.119.127126
2405.72.119.128/255.72.119.129 to 5.72.119.2545.72.119.255126
2415.72.120.0/255.72.120.1 to 5.72.120.1265.72.120.127126
2425.72.120.128/255.72.120.129 to 5.72.120.2545.72.120.255126
2435.72.121.0/255.72.121.1 to 5.72.121.1265.72.121.127126
2445.72.121.128/255.72.121.129 to 5.72.121.2545.72.121.255126
2455.72.122.0/255.72.122.1 to 5.72.122.1265.72.122.127126
2465.72.122.128/255.72.122.129 to 5.72.122.2545.72.122.255126
2475.72.123.0/255.72.123.1 to 5.72.123.1265.72.123.127126
2485.72.123.128/255.72.123.129 to 5.72.123.2545.72.123.255126
2495.72.124.0/255.72.124.1 to 5.72.124.1265.72.124.127126
2505.72.124.128/255.72.124.129 to 5.72.124.2545.72.124.255126
2515.72.125.0/255.72.125.1 to 5.72.125.1265.72.125.127126
2525.72.125.128/255.72.125.129 to 5.72.125.2545.72.125.255126
2535.72.126.0/255.72.126.1 to 5.72.126.1265.72.126.127126
2545.72.126.128/255.72.126.129 to 5.72.126.2545.72.126.255126
2555.72.127.0/255.72.127.1 to 5.72.127.1265.72.127.127126
2565.72.127.128/255.72.127.129 to 5.72.127.2545.72.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses